1. **Apakah perbedaan antara JSON dan XML?**<br>
JSON or JavaScript Object Notation is a file format used for storing and transferring data object that contains attrbute-value pairs and even arrays. Meanwhile XML stands for eXtensible Markup Language, which is also used for transferring data, the difference is that XML uses elements instead of attribute-value pairs. Other key differences is that JSON supports data types such as arrays and XML does not. Parsing these two notations is also quite different. Parsing JSON is less verbose and faster compared to XML, since JSON is arguably more human-readable compared to XML. We can view these two notations as different data structures too. JSON has a map like structure, making use of key-value pairs. XML on the other hand has a 'tree' like structure way of representing data. JSON is usually used to transmit data in a parseable manner over the internet, while XML aims to have the data in a structured manner, where the use can annotate the metadata and the parse the scripts.

2. **Apakah perbedaan antara HTML dan XML?**<br>
HTML and XML are both markup languages and have similar syntax but they have different purposes. HTML displays and describes the structure of a webpage, while XML is used to store and transfer data. HTML is a predefined language while XML is used to define other languages. HTML is also static in nature since its regularly used for templating, whereas XML is dynamic in nature, since data is constantly delivered and received.